Permalink
Browse files

don't use #require_dependency and #gem to load files

  • Loading branch information...
1 parent dff7bc7 commit 67879fba407d9457f2a9c37597095d1b9bedddc2 @bkeepers bkeepers committed Mar 25, 2008
Showing with 5 additions and 4 deletions.
  1. +2 −2 init.rb
  2. +3 −2 lib/action_mailer_tls.rb
View
@@ -1,5 +1,5 @@
# Cobbled together from miscellaneous code from Stephen Chu and the ruby-talk list.
#
-require_dependency 'smtp_tls'
-require_dependency 'action_mailer_tls'
+require 'smtp_tls'
+require 'action_mailer_tls'
View
@@ -1,5 +1,6 @@
require "rubygems"
-gem "actionmailer"
+require "actionmailer"
+
ActionMailer::Base.class_eval do
private
def perform_delivery_smtp(mail)
@@ -11,4 +12,4 @@ def perform_delivery_smtp(mail)
smtp.sendmail(mail.encoded, mail.from, destinations)
end
end
-end
+end

0 comments on commit 67879fb

Please sign in to comment.